%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                               %
%   COMPARE FEEDBACK STRENGTHS IN ATL3/NINO34   %
%   WRAPPER                                     %
%                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('<path where functions are stored>');

clear all;
close all;
clc;

% -------- %
% SETTINGS %
% -------- %

    all_references = {'ssh','sst','ustr'};
    all_lags       = {'sst','ustr','ssh'};

    all_basins     = {'Pacific','Atlantic'};

% ------------ %
% CONSEQUENCES %
% ------------ %

    n_feedbacks = length(all_references);
    n_basins    = length(all_basins);

% --------- %
% THE LOOPS %
% --------- %

    for c_basin = 1:n_basins

        basin_name = char(all_basins{c_basin});

        for c_feedback = 1:n_feedbacks

            reference_name = char(all_references{c_feedback});
            lag_name       = char(all_lags{c_feedback});

            % call main script
            compare_aviso_oras4_strengths_Atl3_Nino34;

        end

    end
