%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                         %
%   COMPARE LAGGED AND INSTANTANEOUS FEEDBACK STRENGTHS   %
%   WRAPPER                                               %
%                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;
clc;

addpath('<path where functions are stored>');

% -------- %
% SETTINGS %
% -------- %

    all_references = {'ssh','sst','ustr'};
    all_responses  = {'sst','ustr','ssh'};

    all_basins = {'Pacific','Atlantic'};

% --------- %
% THE LOOPS %
% --------- %

    n_feedbacks = length(all_references);
    n_basins    = length(all_basins);

    for c_basin = 1:n_basins

        basin_name = char(all_basins{c_basin});

        for c_feedback = 1:n_feedbacks

            reference_name = char(all_references{c_feedback});
            response_name  = char(all_responses{c_feedback});

            % main script
            compare_lagged_instantaneous_feedback_strengths;

        end

    end
