%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                           %
%    DIAGNOSE DECADAL FEEDBACK VARIATIONS   %
%    WRAPPER                                %
%                                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('<path where the functions are stored>');

% -------- %
% SETTINGS %
% -------- %

    all_refs = {'ssh','sst','ustr'};
    all_lags = {'sst','ustr','ssh'};

    all_data = struct('ssh', 'oras4',...
                      'sst', 'oras4',...
                      'ustr','era_oras4_forcing');

    all_basins = {'Atlantic','Pacific'};

% ------------ %
% CONSEQEUNCES %
% ------------ %

    n_feedbacks = length(all_refs);
    n_basins    = length(all_basins);

% ------- %
% LOOPING %
% ------- %

    for c_basin = 1:n_basins

        basin_name = char(all_basins{c_basin});

        for c_feedback = 1:n_feedbacks

            ref_name = char(all_refs{c_feedback});
            lag_name = char(all_lags{c_feedback});

            % call main script
            decadal_feedback_variations;

        % for: all feedbacks
        end

    % for: all basins
    end
